Package com.arms.api.wiki.service

## Class WikiServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.wiki.service.WikiServiceImpl

- All Implemented Interfaces:
    `WikiService`, `TreeService`

      @Service("WikiService")
      public class WikiServiceImpl
      extends TreeServiceImpl
      implements WikiService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WikiServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<FileRepositoryEntity>` | `imageUpload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### WikiServiceImpl

          public WikiServiceImpl()

  - ### Method Detail

    - #### imageUpload

          public java.util.List<FileRepositoryEntity> imageUpload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)

      Specified by:
        `imageUpload` in interface `WikiService`